fse.ws.handler

## Class FSEMessageHandler

- java.lang.Object
- - fse.ws.handler.FSEMessageHandler

- All Implemented Interfaces:
    Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

      public class FSEMessageHandler
      extends Object
      implements SOAPHandler<SOAPMessageContext>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Properties` | `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSEMessageHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(MessageContext arg0)`
    `protected SOAPFaultException` | `createSOAPFaultException(String faultString, boolean clientFault, String faultCode)`
    `Set<QName>` | `getHeaders()`
    `boolean` | `handleFault(SOAPMessageContext arg0)`
    `boolean` | `handleMessage(SOAPMessageContext arg0)`
    `static SOAPMessage` | `inviaMessaggio(SOAPMessage message, String url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          public static Properties properties

  - ### Constructor Detail

    - #### FSEMessageHandler

          public FSEMessageHandler()

  - ### Method Detail

    - #### close

          public void close(MessageContext arg0)

      Specified by:
        `close` in interface `Handler<SOAPMessageContext>`

    - #### handleFault

          public boolean handleFault(SOAPMessageContext arg0)

      Specified by:
        `handleFault` in interface `Handler<SOAPMessageContext>`

    - #### handleMessage

          public boolean handleMessage(SOAPMessageContext arg0)

      Specified by:
        `handleMessage` in interface `Handler<SOAPMessageContext>`

    - #### getHeaders

          public Set<QName> getHeaders()

      Specified by:
        `getHeaders` in interface `SOAPHandler<SOAPMessageContext>`

    - #### inviaMessaggio

          public static SOAPMessage inviaMessaggio(SOAPMessage message,
                                                   String url)
                                            throws SOAPException

      Throws:
        `SOAPException`

    - #### createSOAPFaultException

          protected SOAPFaultException createSOAPFaultException(String faultString,
                                                                boolean clientFault,
                                                                String faultCode)